/*
 * Plate.h
 *
 *  Created on: Nov 10, 2008
 *      Author: alexander
 */

#ifndef PLATE_H_
#define PLATE_H_

#include "GBuffer.h"

class RecodnitionResult
{
	char text[10];
	double probability;

	RecodnitionResult(char *_text, double _probabilty)
	{
		strncpy(text,_text, 9);
		probability = _probabilty;
	}
};

class Plate {

public:
	GBuffer *image;

	Plate(char *filename);

	virtual ~Plate();

	static GBuffer digits[10];

};

#endif /* PLATE_H_ */
